Newer Version Available

This content describes an older version of this product. View Latest

Get Approval Layouts

Retrieves a list of approval layouts for a specified object. This resource is available in REST API version 30.0 and later.

Syntax

URI
/services/data/vXX.X/sobjects/sObject/describe/approvalLayouts/
Formats
JSON, XML
HTTP methods
GET
Authentication
Authorization: Bearer token
Request parameters
None required

Example

Retrieve all approval layouts for an sObject
1curl https://MyDomainName.my.salesforce.com/services/data/v56.0/sobjects/Account/describe/approvalLayouts/ -H "Authorization: Bearer token"
Example JSON Response body
1{
2  "approvalLayouts" : [ {
3    "id" : "04aD00000008Py9IAE",
4    "label" : "MyApprovalProcessName",
5    "layoutItems" : [...],
6    "name" : "MyApprovalProcessName"
7    }, {
8    "id" : "04aD00000008Q0KIAU",
9    "label" : "Process1",
10    "layoutItems" : [...],
11    "name" : "Process1"
12  } ]
13}
If you haven’t defined any approval layouts for an object, the response is {"approvalLayouts" : [ ]}.